[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TCollectionItem.ID

Initial index of this item.

## Declaration

Source position: classesh.inc line 502

`public property TCollectionItem.ID : Integer read FID;`

## Description

ID is the initial value of TCollectionItem.Index; it doesn't change after the index changes. It can be used to uniquely identify the item. The ID property doesn't change as items are added and removed from the collection.

While the TCollectionItem.Index property forms a continuous series, ID does not. If items are removed from the collection, their ID is not used again, leaving gaps. Only when the collection is initialiiy created, the ID and Index properties will be equal.

## See also

TCollection.Items |  | Indexed array of items in the collection.
TCollectionItem.Index |  | Index of the item in its managing collection TCollection.Items property.

Documentation generated on: Feb 26 2014